public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Michał Górny" <mgorny@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/poetry-core/
Date: Sat,  8 Oct 2022 08:01:36 +0000 (UTC)	[thread overview]
Message-ID: <1665216092.9649e04f4afc72038cb3e41a970617cc11fec788.mgorny@gentoo> (raw)

commit:     9649e04f4afc72038cb3e41a970617cc11fec788
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sat Oct  8 07:29:59 2022 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sat Oct  8 08:01:32 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=9649e04f

dev-python/poetry-core: Bump to 1.3.2

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/poetry-core/Manifest                 |  1 +
 dev-python/poetry-core/poetry-core-1.3.2.ebuild | 63 +++++++++++++++++++++++++
 2 files changed, 64 insertions(+)

diff --git a/dev-python/poetry-core/Manifest b/dev-python/poetry-core/Manifest
index dc3debb3ff8c..9230342253f2 100644
--- a/dev-python/poetry-core/Manifest
+++ b/dev-python/poetry-core/Manifest
@@ -1,2 +1,3 @@
 DIST poetry-core-1.2.0.gh.tar.gz 536297 BLAKE2B 0ba82bfa320d65ce794a4f2346198d252139c03960298ede02f55d8b23367e05e9336b3d5030032b1feab4ffa327974af26ce2918d4d40889f68fbec79ccb490 SHA512 f6d79d7d66a25aa127b5decf46df861ecc101af0438b892196505b4ece5cc55f6ff8796eb603789b3259d213162236b7698305523b2eda414ad1f3a5b659eab9
 DIST poetry-core-1.3.1.gh.tar.gz 539214 BLAKE2B 12db16f06e5b7f94e0aa6edf6d5cc6c8c15c6389e3e1f517884c5532b211982d34682c035b69e53dfef60506c8be16ed36b0c8cc66651c88d83436d6cfc5182f SHA512 c61b7edeb0c821c0a1cd983965a3140cb8183147740e3b242d0cb0bfa375d6ee352314dd81e243d03c31e403c4a01353657cf771b84130ef058815068ecfdd5e
+DIST poetry-core-1.3.2.gh.tar.gz 539267 BLAKE2B 43845f344f8b492aa5dae5608b8d67b41efab33c60999cc61d8476e08a9ec9870328174b371d0735624c5f11dd2ce15e19e2c984653c7349dd0c3a687dec0123 SHA512 57fca4925889bfcff9335c0f76ea0cf8b48de1cb7bdc83bab8ceee452d6a6d64c4eaa169be17fb32ee59f453256fde1191e5c36382c4be27b74b5e3c8dce7703

diff --git a/dev-python/poetry-core/poetry-core-1.3.2.ebuild b/dev-python/poetry-core/poetry-core-1.3.2.ebuild
new file mode 100644
index 000000000000..c76206f1717a
--- /dev/null
+++ b/dev-python/poetry-core/poetry-core-1.3.2.ebuild
@@ -0,0 +1,63 @@
+# Copyright 2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=standalone
+PYTHON_COMPAT=( pypy3 python3_{8..11} )
+
+inherit distutils-r1
+
+DESCRIPTION="Poetry PEP 517 Build Backend"
+HOMEPAGE="
+	https://github.com/python-poetry/poetry-core/
+	https://pypi.org/project/poetry-core/
+"
+SRC_URI="
+	https://github.com/python-poetry/poetry-core/archive/${PV}.tar.gz
+		-> ${P}.gh.tar.gz
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+# check inside src/poetry/core/_vendor/vendor.txt
+# (note that some are indirect deps)
+RDEPEND="
+	dev-python/jsonschema[${PYTHON_USEDEP}]
+	dev-python/lark[${PYTHON_USEDEP}]
+	dev-python/packaging[${PYTHON_USEDEP}]
+	dev-python/tomlkit[${PYTHON_USEDEP}]
+"
+BDEPEND="
+	test? (
+		dev-python/build[${PYTHON_USEDEP}]
+		dev-python/pep517[${PYTHON_USEDEP}]
+		dev-python/pytest-mock[${PYTHON_USEDEP}]
+		dev-python/virtualenv[${PYTHON_USEDEP}]
+	)
+"
+
+distutils_enable_tests pytest
+
+EPYTEST_DESELECT=(
+	# These "fail" bacause of glob file path resulting from newer versions
+	# in our tree than vendored. But those don't affect anything.
+	tests/masonry/builders/test_sdist.py::test_default_with_excluded_data
+	tests/masonry/builders/test_wheel.py::test_default_src_with_excluded_data
+)
+
+src_prepare() {
+	# remove vendoring of dependencies
+	rm -r src/poetry/core/_vendor || die
+	sed -e '/__vendor_site__/d' -i src/poetry/core/__init__.py || die
+
+	distutils-r1_src_prepare
+}
+
+python_test() {
+	# needed for migration from <1.1
+	distutils_write_namespace poetry
+	epytest
+}


             reply	other threads:[~2022-10-08  8:01 UTC|newest]

Thread overview: 63+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2022-10-08  8:01 Michał Górny [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-05-13 18:45 [gentoo-commits] repo/gentoo:master commit in: dev-python/poetry-core/ Michał Górny
2024-05-09 17:32 Michał Górny
2024-04-15 12:19 Michał Górny
2024-02-18  3:28 Michał Górny
2024-02-17 22:26 Sam James
2024-02-03  7:22 Michał Górny
2023-11-29 10:17 Michał Górny
2023-11-29 10:15 Michał Górny
2023-10-31 19:12 Michał Górny
2023-09-25 16:54 Arthur Zamarin
2023-08-20 16:40 Michał Górny
2023-07-08 10:47 Benda XU
2023-06-18 17:13 Michał Górny
2023-06-18 14:47 Sam James
2023-05-29 15:04 Michał Górny
2023-05-27 13:21 Michał Górny
2023-05-19 16:06 Michał Górny
2023-05-19 16:03 Michał Górny
2023-05-15  5:58 Michał Górny
2023-04-13  6:32 Michał Górny
2023-04-13  5:45 Sam James
2023-03-14  5:02 Michał Górny
2023-03-07  9:17 Michał Górny
2023-03-04  7:16 Michał Górny
2023-03-03 17:31 Arthur Zamarin
2023-02-21  7:41 Michał Górny
2023-02-15  9:31 Michał Górny
2023-01-28 16:18 Michał Górny
2022-12-25 17:33 Michał Górny
2022-11-23  8:41 Michał Górny
2022-11-09  6:12 Michał Górny
2022-11-08 20:26 Arthur Zamarin
2022-10-03  6:43 Michał Górny
2022-10-02 19:51 Arthur Zamarin
2022-09-19 19:02 Arthur Zamarin
2022-08-31 15:55 Michał Górny
2022-08-31  9:21 Michał Górny
2022-05-12 14:01 Michał Górny
2022-04-09 18:39 Michał Górny
2022-04-09 16:34 Arthur Zamarin
2022-03-09 19:13 Arthur Zamarin
2022-02-11 21:44 Arthur Zamarin
2022-02-11 21:32 Arthur Zamarin
2022-02-11 21:11 Arthur Zamarin
2022-02-11 21:07 Arthur Zamarin
2022-02-11 21:02 Arthur Zamarin
2022-02-11  7:26 Agostino Sarubbo
2022-02-11  7:25 Agostino Sarubbo
2022-02-11  7:24 Agostino Sarubbo
2022-01-26 23:19 Michał Górny
2022-01-26 21:53 Michał Górny
2022-01-19 22:45 James Le Cuirot
2022-01-19 13:51 Marek Szuba
2022-01-17  6:53 Joshua Kinard
2022-01-16 18:30 Arthur Zamarin
2022-01-16 18:30 Arthur Zamarin
2022-01-16 18:30 Arthur Zamarin
2022-01-16 18:30 Arthur Zamarin
2022-01-16 18:30 Arthur Zamarin
2022-01-16 18:30 Arthur Zamarin
2022-01-16 18:30 Arthur Zamarin
2022-01-16 17:53 Michał Górny

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1665216092.9649e04f4afc72038cb3e41a970617cc11fec788.mgorny@gentoo \
    --to=mgorny@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox